Subject: Re: linux-next: manual merge of the rdma tree with the v4l-dvb-next tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Tue, 16 Jul 2019 09:40:47 -0300

Em Tue, 16 Jul 2019 12:26:40 +0000
Jason Gunthorpe <[email-masked]> escreveu:

> On Tue, Jul 16, 2019 at 10:46:14AM +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the rdma tree got a conflict in:
> > 
> >   Documentation/index.rst
> > 
> > between commit:
> > 
> >   09fdc957ad0d ("docs: leds: add it to the driver-api book")
> > (and others following)
> > 
> > from the v4l-dvb-next tree and commit:
> > 
> >   a3a400da206b ("docs: infiniband: add it to the driver-api bookset")
> > 
> > from the rdma tree.
> > 
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.  
> 
> I'm surprised this is coming from a v4l tree..

Jon asked me to send a pull request with the pending conversion
patches. I opted to apply them to my v4l-dvb-next tree, just because
it was the simplest way of having those at linux-next :-)

> 
> > diff --cc Documentation/index.rst
> > index f379e43fcda0,869616b57aa8..000000000000
> > --- a/Documentation/index.rst
> > +++ b/Documentation/index.rst
> > @@@ -96,23 -90,9 +96,24 @@@ needed)
> >   
> >      driver-api/index
> >      core-api/index
> >  +   locking/index
> >  +   accounting/index
> >  +   block/index
> >  +   cdrom/index
> >  +   ide/index
> >  +   fb/index
> >  +   fpga/index
> >  +   hid/index
> >  +   iio/index
> >  +   leds/index
> > +    infiniband/index  
> 
> This should be kept sorted, Mauro rdma is already merged you'll need
> to tell Linus about this trivial conflict when you send your patches.

Yeah, I placed a comment about that at the pull request I sent
earlier today.

In any case, this is a simple conflict. It should be trivial for
Linus to address it.

Thanks,
Mauro